Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1946652 - [abrt] gnome-shell: _cogl_journal_flush(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cogl_journal_flush(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonas Ådahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:43661b8bd5e24cb7084ca0bbc82...
Depends On:
Blocks: F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-04-06 15:17 UTC by most.definitely.me
Modified: 2021-04-09 20:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-09 20:03:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: core_backtrace (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: cpuinfo (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: dso_list (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: environ (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: exploitable (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: limits (deleted)
2021-04-06 15:17 UTC, most.definitely.me
no flags Details
File: maps (deleted)
2021-04-06 15:18 UTC, most.definitely.me
no flags Details
File: mountinfo (deleted)
2021-04-06 15:18 UTC, most.definitely.me
no flags Details
File: open_fds (deleted)
2021-04-06 15:18 UTC, most.definitely.me
no flags Details
File: proc_pid_status (deleted)
2021-04-06 15:18 UTC, most.definitely.me
no flags Details
File: var_log_messages (deleted)
2021-04-06 15:18 UTC, most.definitely.me
no flags Details

Description most.definitely.me 2021-04-06 15:17:48 UTC
Version-Release number of selected component:
gnome-shell-40.0-1.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: _cogl_journal_flush
executable:     /usr/bin/gnome-shell
journald_cursor: s=f08c35a90cf941939d6fc589e768faa3;i=18ab0;b=3d6d165da8984f1394cb68ffb34e747a;m=1a5300a96;t=5bf417312f7e7;x=6e8645e308f4ba0
kernel:         5.11.11-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 _cogl_journal_flush at ../cogl/cogl/cogl-journal.c:1372
 #1 _cogl_framebuffer_flush_journal at ../cogl/cogl/cogl-framebuffer.c:899
 #2 cogl_flush at ../cogl/cogl/cogl.c:155
 #3 _cogl_pipeline_pre_change_notify at ../cogl/cogl/cogl-pipeline.c:1098
 #4 cogl_pipeline_set_color at ../cogl/cogl/cogl-pipeline-state.c:376
 #6 cogl_pipeline_set_color4ub at ../cogl/cogl/cogl-pipeline-state.c:395
 #7 st_theme_node_paint_borders.isra.0 at ../src/st/st-theme-node-drawing.c:1859
 #8 st_theme_node_paint at ../src/st/st-theme-node-drawing.c:2666
 #9 st_widget_paint_background at ../src/st/st-widget.c:447
 #10 st_widget_paint at ../src/st/st-widget.c:459

Potential duplicate: bug 1214020

Comment 1 most.definitely.me 2021-04-06 15:17:52 UTC
Created attachment 1769600 [details]
File: backtrace

Comment 2 most.definitely.me 2021-04-06 15:17:54 UTC
Created attachment 1769601 [details]
File: core_backtrace

Comment 3 most.definitely.me 2021-04-06 15:17:55 UTC
Created attachment 1769602 [details]
File: cpuinfo

Comment 4 most.definitely.me 2021-04-06 15:17:56 UTC
Created attachment 1769603 [details]
File: dso_list

Comment 5 most.definitely.me 2021-04-06 15:17:57 UTC
Created attachment 1769604 [details]
File: environ

Comment 6 most.definitely.me 2021-04-06 15:17:58 UTC
Created attachment 1769605 [details]
File: exploitable

Comment 7 most.definitely.me 2021-04-06 15:17:59 UTC
Created attachment 1769606 [details]
File: limits

Comment 8 most.definitely.me 2021-04-06 15:18:00 UTC
Created attachment 1769607 [details]
File: maps

Comment 9 most.definitely.me 2021-04-06 15:18:02 UTC
Created attachment 1769608 [details]
File: mountinfo

Comment 10 most.definitely.me 2021-04-06 15:18:03 UTC
Created attachment 1769609 [details]
File: open_fds

Comment 11 most.definitely.me 2021-04-06 15:18:04 UTC
Created attachment 1769610 [details]
File: proc_pid_status

Comment 12 most.definitely.me 2021-04-06 15:18:05 UTC
Created attachment 1769611 [details]
File: var_log_messages

Comment 13 Fedora Update System 2021-04-07 07:10:32 UTC
FEDORA-2021-d9064dfb65 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d9064dfb65

Comment 14 Fedora Blocker Bugs Application 2021-04-07 07:12:53 UTC
Proposed as a Freeze Exception for 34-final by Fedora user jadahl using the blocker tracking app because:

 The update fixes a session crash happening when unlocking or switching VT. It's a fixup to the previous crash-on-resume fix.

Comment 15 Fedora Update System 2021-04-07 18:16:03 UTC
FEDORA-2021-d9064dfb65 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d9064dfb65`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d9064dfb65

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Adam Williamson 2021-04-07 23:29:01 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/332 , marking accepted.

Comment 17 Fedora Update System 2021-04-09 20:03:30 UTC
FEDORA-2021-d9064dfb65 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.